package com.supermap.sample.serviceprovider;

import com.supermap.services.components.commontypes.Layer;
import com.supermap.services.components.commontypes.LayerType;
import com.supermap.services.components.commontypes.Rectangle2D;

public class GoogleMapLayer extends Layer {
    private static final long serialVersionUID = 1L;

    /**
     * <p>
     * 无参构造函数
     * </p>
     * <p>
     * 定义图层类型为定制图层
     * </p>
     * <p>
     * Non-parameter constructor
     * </p>
     * Define the layer type as the custom layer
     *
     */
    public GoogleMapLayer() {
        this.type = LayerType.CUSTOM;
    }

    @Override
    public Layer copy() {
        GoogleMapLayer googleLayer = new GoogleMapLayer();
        googleLayer.name = this.name;
        googleLayer.type = this.type;
        googleLayer.bounds = new Rectangle2D(this.bounds);
        googleLayer.caption = this.caption;
        googleLayer.visible = this.visible;
        return googleLayer;
    }

}
